Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XSLTemplateContentAssistProcessor

    public class XSLTemplateContentAssistProcessor
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistProcessor

## Constructor Summary

`XSLTemplateContentAssistProcessor()`

## Method Summary

`public ICompletionProposal[]` | `computeCompletionProposals(ITextViewer viewer , int offset)`
`public IContextInformation[]` | `computeContextInformation(ITextViewer viewer , int offset)`
`public char[]` | `getContextInformationAutoActivationCharacters()`
`public IContextInformationValidator` | `getContextInformationValidator()`
`public java.lang.String` | `getMaximumVersion()`
`public java.lang.String` | `getMinimumVersion()`
`public java.util.ArrayList` | `getNamespaces()`

## Constructor Detail

## XSLTemplateContentAssistProcessor

`public XSLTemplateContentAssistProcessor()`

## Methods Detail

## computeCompletionProposals

`public ICompletionProposal[] computeCompletionProposals(ITextViewer viewer , int offset)`

### Parameters

`viewer`

`offset`

### Returns

`ICompletionProposal[]`

## computeContextInformation

`public IContextInformation[] computeContextInformation(ITextViewer viewer , int offset)`

### Parameters

`viewer`

`offset`

### Returns

`IContextInformation[]`

## getContextInformationAutoActivationCharacters

`public char[] getContextInformationAutoActivationCharacters()`

### Returns

`char[]`

## getContextInformationValidator

`public IContextInformationValidator getContextInformationValidator()`

### Returns

`IContextInformationValidator`

## getMaximumVersion

`public java.lang.String getMaximumVersion()`

### Returns

`java.lang.String`

## getMinimumVersion

`public java.lang.String getMinimumVersion()`

### Returns

`java.lang.String`

## getNamespaces

`public java.util.ArrayList getNamespaces()`

### Returns

`java.util.ArrayList`